## linux-meta 2.6.35.32.42+4.5trisquel1

=== debian/changelog ===
linux-meta (2.6.35.32.42+4.5trisquel1) slaine; urgency=low

  * Removed non-free bits

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 13 Feb 2012 06:06:41 +0000
