## linux-meta 2.6.38.8.22

=== debian/changelog ===
linux-meta (2.6.38.8.22) natty; urgency=low

  [ Leann Ogasawara ]

  * UBUNTU: Enable LBM for Natty

  [ Tim Gardner ]

  * Bump ABI

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 04 Apr 2011 06:23:14 -0700

linux-meta (2.6.38.7.21) natty; urgency=low

  * Bump ABI

 -- Andy Whitcroft <apw@canonical.com>  Wed, 16 Mar 2011 09:51:30 +0000

linux-meta (2.6.38.6.20) natty; urgency=low

  * Bump ABI

 -- Andy Whitcroft <apw@canonical.com>  Tue, 01 Mar 2011 16:31:13 +0000

linux-meta (2.6.38.5.19) natty; urgency=low

  * Bump ABI

 -- Andy Whitcroft <apw@canonical.com>  Fri, 18 Feb 2011 15:24:44 +0000

linux-meta (2.6.38.4.18) natty; urgency=low

  * Bump ABI

 -- Andy Whitcroft <apw@canonical.com>  Wed, 16 Feb 2011 15:33:37 +0000

linux-meta (2.6.38.3.17) natty; urgency=low

  * Bump ABI

 -- Andy Whitcroft <apw@canonical.com>  Thu, 10 Feb 2011 09:50:33 +0000

linux-meta (2.6.38.2.16) natty; urgency=low

  * Bump ABI

 -- Tim Gardner <tim.gardner@canonical.com>  Sat, 05 Feb 2011 11:35:43 -0700

linux-meta (2.6.38.1.15) UNRELEASED; urgency=low

  * Bump ABI

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 25 Jan 2011 06:57:57 -0700

linux-meta (2.6.37.12.14) natty; urgency=low

  * Natty ABI 12
  * reinstate omap flavour

 -- Andy Whitcroft <apw@canonical.com>  Thu, 06 Jan 2011 11:01:28 +0000

linux-meta (2.6.37.11.13) natty; urgency=low

  * Natty ABI 11

 -- Andy Whitcroft <apw@canonical.com>  Wed, 22 Dec 2010 13:55:47 +0000

linux-meta (2.6.37.10.12) natty; urgency=low

  * Natty ABI 10

 -- Andy Whitcroft <apw@canonical.com>  Fri, 17 Dec 2010 13:32:00 +0000

linux-meta (2.6.37.9.11) natty; urgency=low

  * Natty ABI 9

 -- Andy Whitcroft <apw@canonical.com>  Sat, 11 Dec 2010 09:52:43 +0000

linux-meta (2.6.37.8.10) natty; urgency=low

  * Natty ABI 8

 -- Andy Whitcroft <apw@canonical.com>  Mon, 06 Dec 2010 15:23:28 +0000

linux-meta (2.6.37.7.9) natty; urgency=low

  * Natty ABI 7

 -- Andy Whitcroft <apw@canonical.com>  Mon, 29 Nov 2010 09:46:52 +0000

linux-meta (2.6.37.6.8) natty; urgency=low

  * Natty ABI 6

 -- Andy Whitcroft <apw@canonical.com>  Tue, 23 Nov 2010 19:44:31 +0000

linux-meta (2.6.37.5.7) natty; urgency=low

  * Natty ABI 5

 -- Andy Whitcroft <apw@canonical.com>  Wed, 17 Nov 2010 16:26:53 +0000

linux-meta (2.6.37.4.6) natty; urgency=low

  * Natty ABI 4

 -- Andy Whitcroft <apw@canonical.com>  Tue, 16 Nov 2010 00:12:17 +0000

linux-meta (2.6.37.3.5) natty; urgency=low

  * Natty ABI 3

 -- Andy Whitcroft <apw@canonical.com>  Fri, 12 Nov 2010 17:29:08 +0000

linux-meta (2.6.37.2.4) natty; urgency=low

  * Track correct master version number.

 -- Andy Whitcroft <apw@canonical.com>  Fri, 05 Nov 2010 16:08:54 +0000

linux-meta (2.6.36.2.3) natty; urgency=low

  * Pull in powerpc, powerpc-smp, powerpc64-smp into the master branch.
  * Natty ABI 2

 -- Andy Whitcroft <apw@canonical.com>  Fri, 05 Nov 2010 14:24:10 +0000

linux-meta (2.6.36.1.2) natty; urgency=low

  * Natty ABI 1

 -- Andy Whitcroft <apw@canonical.com>  Thu, 21 Oct 2010 21:31:35 +0100

linux-meta (2.6.36.0.1) natty; urgency=low

  * Initial Natty kernel version and ABI (2.6.36-0)
  * drop last vestiges of lpia architecture
  * disable linux-backports-modules
  * drop omap for armel

 -- Andy Whitcroft <apw@canonical.com>  Wed, 13 Oct 2010 11:22:15 +0100
