=== debian/control ===
Source: linux-meta
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: dpkg (>= 1.13.19), debhelper (>= 5), gawk
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-karmic-meta.git

Package: linux
Architecture: i386 amd64 
Section: metapackages
Priority: optional
Depends: ${misc:Depends}, linux-image (= ${binary:Version})
Description: Generic complete Linux kernel.
 This package will always depend on the latest generic complete Linux kernel
 available.

Package: linux-source
Architecture: all
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-source-${kernel-version}
Description: Linux kernel source with Ubuntu patches
 This package will always depend on the latest Linux kernel source code
 available. The Ubuntu patches have been applied.

Package: linux-image
Architecture: i386 amd64 
Section: metapackages
Priority: optional
Depends: ${misc:Depends}, linux-image-${generic-depends} (= ${binary:Version})
Description: Generic Linux kernel image.
 This package will always depend on the latest generic Linux kernel image
 available.

Package: linux-crashdump
Architecture: i386 amd64
Section: devel
Depends: ${misc:Depends}, kexec-tools, makedumpfile, grub-pc (>= 1.96+20090611-1ubuntu2) | grub (>= 0.97-29ubuntu24)
Recommends: apport
Suggests: crash
Description: Linux kernel crashdump setup for the latest generic kernel
 This package installs all the needed infrstracture to get crashdumps from
 your running system. If you are experiencing kernel crashes that cannot
 be debugged normally (because the problem is infrequent or panic's the
 system in such a way as to make information gathering impossible), then
 you can install this package to automatically enable capture of the
 vmcore on crashes.

Package: linux-tools
Architecture: i386 amd64 armel
Section: metapackages
Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}
Description: Linux kernel versioned Tools
 This package will always depend on the latest Linux kernel versioned tools 
 available. The Ubuntu patches have been applied.


Package: linux-headers-generic
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-generic
Description: Generic Linux kernel headers
 This package will always depend on the latest generic kernel headers
 available.

Package: linux-image-generic
Architecture: i386 amd64
Section: metapackages
Priority: optional
Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-generic, linux-firmware
Description: Generic Linux kernel image
 This package will always depend on the latest generic kernel image
 available.

Package: linux-generic
Architecture: i386 amd64
Section: metapackages
Priority: optional
Depends: ${misc:Depends}, linux-image-generic (= ${binary:Version})
Description: Complete Generic Linux kernel
 This package will always depend on the latest complete generic Linux kernel
 available.

Package: linux-backports-modules-headers-natty-generic
Architecture: amd64 i386
Depends: ${misc:Depends}, linux-headers-lbm-${kernel-abi-version}-generic
Description: Backported driver headers for generic kernel image
 This empty package allows people to keep their backported module
 headers up-to-date when upgrading their Linux kernel.

#Package: linux-backports-modules-cw-2.6.39-natty-generic
#Architecture: amd64 i386
#Depends: ${misc:Depends}, linux-backports-modules-cw-2.6.39-${kernel-abi-version}-generic
#Description: Backported wireless drivers for generic kernel image
# This empty package allows people to keep their backported wireless modules
# up-to-date when upgrading their Linux kernel.
#
#Package: linux-backports-modules-alsa-natty-generic
#Architecture: amd64 i386
#Depends: ${misc:Depends}, linux-backports-modules-alsa-${kernel-abi-version}-generic
#Description: Backported drivers for alsa-driver snapshot.
# This empty package allows people to keep their alsa-driver snapshot
# up-to-date when upgrading their Linux kernel.
#
Package: linux-backports-modules-net-natty-generic
Architecture: amd64 i386
Depends: ${misc:Depends}, linux-backports-modules-net-${kernel-abi-version}-generic
Description: Backported ethernet drivers for generic kernel image.
 This empty package allows people to keep their backported ethernet modules
 up-to-date when upgrading their Linux kernel.

Package: linux-headers-generic-pae
Architecture: i386
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-generic-pae
Description: Generic Linux kernel headers
 This package will always depend on the latest generic kernel headers
 available.

Package: linux-image-generic-pae
Architecture: i386
Section: metapackages
Priority: optional
Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-generic-pae, linux-firmware
Description: Generic Linux kernel image
 This package will always depend on the latest generic kernel image
 available.

Package: linux-generic-pae
Architecture: i386
Section: metapackages
Priority: optional
Depends: ${misc:Depends}, linux-image-generic-pae (= ${binary:Version})
Description: Complete Generic Linux kernel
 This package will always depend on the latest complete generic Linux kernel
 available.

Package: linux-backports-modules-headers-natty-generic-pae
Architecture: i386
Depends: ${misc:Depends}, linux-headers-lbm-${kernel-abi-version}-generic-pae
Description: Backported driver headers for generic-pae kernel image
 This empty package allows people to keep their backported module
 headers up-to-date when upgrading their Linux kernel.

#Package: linux-backports-modules-cw-2.6.39-natty-generic-pae
#Architecture: i386
#Depends: ${misc:Depends}, linux-backports-modules-cw-2.6.39-${kernel-abi-version}-generic-pae
#Description: Backported wireless drivers for generic kernel image
# This empty package allows people to keep their backported wireless modules
# up-to-date when upgrading their Linux kernel.
#
#Package: linux-backports-modules-alsa-natty-generic-pae
#Architecture: i386
#Depends: ${misc:Depends}, linux-backports-modules-alsa-${kernel-abi-version}-generic-pae
#Description: Backported drivers for alsa-driver snapshot.
# This empty package allows people to keep their alsa-driver snapshot
# up-to-date when upgrading their Linux kernel.
#
Package: linux-backports-modules-net-natty-generic-pae
Architecture: i386
Depends: ${misc:Depends}, linux-backports-modules-net-${kernel-abi-version}-generic-pae
Description: Backported ethernet drivers for generic kernel image
 This empty package allows people to keep their backported ethernet modules
 up-to-date when upgrading their Linux kernel.

Package: linux-headers-omap
Architecture: armel
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-omap 
Description: Linux kernel headers for the OMAP3 architecture.
 This package will always depend on the latest kernel headers available
 for ARM TI OMAP3 systems.

Package: linux-image-omap
Architecture: armel
Section: metapackages
Priority: optional
Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-omap, linux-firmware
Description: Linux kernel image for the OMAP3 architecture.
 This package will always depend on the latest kernel image available
 for ARM TI OMAP3 systems.

Package: linux-omap
Architecture: armel
Section: metapackages
Priority: optional
Depends: ${misc:Depends}, linux-image-omap (= ${binary:Version})
Description: Complete Linux kernel for the OMAP3 architecture.
 This package will always depend on the latest complete Linux kernel available
 for ARM TI OMAP3 systems.

#
# PowerPC
#
Package: linux-powerpc
Architecture: powerpc
Section: restricted/metapackages
Priority: optional
Depends: linux-image-powerpc (= ${binary:Version})
Description: Complete Linux kernel on PowerPC.
 This package will always depend on the latest complete Linux kernel available
 for PowerPC.

Package: linux-image-powerpc
Architecture: powerpc
Section: metapackages
Priority: optional
Depends: linux-image-${kernel-abi-version}-powerpc, linux-firmware
Description: Linux kernel image on PowerPC
 This package will always depend on the latest kernel image available
 for PowerPC support.

Package: linux-headers-powerpc
Architecture: powerpc
Section: devel
Priority: optional
Depends: linux-headers-${kernel-abi-version}-powerpc
Description: Linux kernel headers on PowerPC
 This package will always depend on the latest kernel headers available
 for PowerPC.


#
# PowerPC-SMP
#
Package: linux-powerpc-smp
Architecture: powerpc
Section: restricted/metapackages
Priority: optional
Depends: linux-image-powerpc-smp (= ${binary:Version})
Description: Complete Linux kernel on PowerPC SMP.
 This package will always depend on the latest complete Linux kernel available
 for PowerPC with SMP support.
 SMP (symmetric multi-processing) is needed if you have multiple processors.

Package: linux-image-powerpc-smp
Architecture: powerpc
Section: metapackages
Priority: optional
Depends: linux-image-${kernel-abi-version}-powerpc-smp, linux-firmware
Description: Linux kernel image on PowerPC SMP.
 This package will always depend on the latest kernel image available
 for PowerPC with SMP support.
 SMP (symmetric multi-processing) is needed if you have multiple processors.

Package: linux-headers-powerpc-smp
Architecture: powerpc
Section: devel
Priority: optional
Depends: linux-headers-${kernel-abi-version}-powerpc-smp
Description: Linux kernel headers on PowerPC SMP
 This package will always depend on the latest kernel headers available
 for PowerPC with SMP support.
 SMP (symmetric multi-processing) is needed if you have multiple processors.


#
# PowerPC64-SMP
#
Package: linux-powerpc64-smp
Architecture: powerpc
Section: restricted/metapackages
Priority: optional
Depends: linux-image-powerpc64-smp (= ${binary:Version})
Description: Complete Linux kernel on PowerPC64 SMP.
 This package will always depend on the latest complete Linux kernel available
 for PowerPC64 with SMP support.
 SMP (symmetric multi-processing) is needed if you have multiple processors.

Package: linux-image-powerpc64-smp
Architecture: powerpc
Section: metapackages
Priority: optional
Depends: linux-image-${kernel-abi-version}-powerpc64-smp, linux-firmware
Description: Linux kernel image on PowerPC64 SMP.
 This package will always depend on the latest kernel image available
 for PowerPC64 with SMP support.
 SMP (symmetric multi-processing) is needed if you have multiple processors.

Package: linux-headers-powerpc64-smp
Architecture: powerpc
Section: devel
Priority: optional
Depends: linux-headers-${kernel-abi-version}-powerpc64-smp
Description: Linux kernel headers on PowerPC64 SMP
 This package will always depend on the latest kernel headers available
 for PowerPC64 with SMP support.
 SMP (symmetric multi-processing) is needed if you have multiple processors.


Package: linux-headers-server
Architecture: amd64 i386
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-server [amd64], linux-headers-generic-pae [i386]
Description: Linux kernel headers on Server Equipment.
 This package will always depend on the latest kernel headers available
 for Server Equipment.

Package: linux-image-server
Architecture: amd64 i386
Section: metapackages
Priority: optional
Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-server [amd64], linux-firmware [amd64], linux-image-generic-pae [i386]
Description: Linux kernel image on Server Equipment.
 This package will always depend on the latest kernel image available
 for Server Equipment.

Package: linux-server
Architecture: amd64 i386
Section: metapackages
Priority: optional
Depends: ${misc:Depends}, linux-image-server (= ${binary:Version}) [amd64], linux-generic-pae [i386]
Description: Complete Linux kernel on Server Equipment.
 This package will always depend on the latest complete Linux kernel available
 for Server Equipment.
