## linux-meta 2.6.38.16.31

=== debian/changelog ===
linux-meta (2.6.38.16.31) natty-proposed; urgency=low

  [ Tim Gardner ]

  * Move all header meta packages into Section: metapackages
    - LP: #988447
  * No meta packages belong in the restricted component
    - LP: #1016702

  [ Luis Henriques ]

  * Fix Vcs-Git in linux-natty-meta
    - LP: #999726
  * Bump ABI

 -- Luis Henriques <luis.henriques@canonical.com>  Thu, 06 Sep 2012 18:05:02 +0100

linux-meta (2.6.38.15.30) natty-proposed; urgency=low

  [ Luis Henriques ]

  * Bump ABI

  [ Herton Ronaldo Krzesinski ]

  * UBUNTU: try to automatically get version to give for dpkg-genchanges

 -- Luis Henriques <luis.henriques@canonical.com>  Fri, 27 Apr 2012 16:23:48 +0100

linux-meta (2.6.38.14.29) natty-proposed; urgency=low

  * Bump ABI

 -- Luis Henriques <luis.henriques@canonical.com>  Mon, 26 Mar 2012 15:48:06 +0100

linux-meta (2.6.38.13.28) natty-proposed; urgency=low

  * Bump ABI

 -- Herton Ronaldo Krzesinski <herton.krzesinski@canonical.com>  Tue, 08 Nov 2011 16:12:49 -0200

linux-meta (2.6.38.12.27) natty-proposed; urgency=low

  [ Herton Ronaldo Krzesinski ]

  * Bump ABI

  [ Tim Gardner ]

  * Added compat-wireless 3.0.0
    - LP: #819484

 -- Herton Ronaldo Krzesinski <herton.krzesinski@canonical.com>  Tue, 27 Sep 2011 18:15:59 -0300

linux-meta (2.6.38.11.26) natty-proposed; urgency=low

  [ Steve Conklin ]

  * Bump ABI

 -- Steve Conklin <sconklin@canonical.com>  Fri, 15 Jun 2011 14:37:30 -0500

linux-meta (2.6.38.10.25) natty; urgency=low

  * Added compat-wireless packages to Natty LBM
    -LP: #794633

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 08 Jun 2011 11:16:45 -0600

linux-meta (2.6.38.10.24) natty-proposed; urgency=low

  [ Steve Conklin ]

  * Bump ABI

 -- Steve Conklin <sconklin@canonical.com>  Fri, 3 Jun 2011 09:55:42 -0500

linux-meta (2.6.38.9.23) natty-proposed; urgency=low

  [ Tim Gardner ]

  * Bump ABI

 -- Brad Figg <brad.figg@canonical.com>  Thu, 28 Apr 2011 08:28:53 -0700
