=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
 Standards-Version: 3.6.1
 Build-Depends: dpkg (>= 1.13.19), debhelper (>= 5), gawk
-Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-karmic-meta.git
+Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-natty-meta.git
 
 Package: linux
 Architecture: i386 amd64 
@@ -58,7 +58,7 @@
 
 Package: linux-headers-generic
 Architecture: i386 amd64
-Section: devel
+Section: metapackages
 Priority: optional
 Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-generic
 Description: Generic Linux kernel headers
@@ -90,13 +90,20 @@
  This empty package allows people to keep their backported module
  headers up-to-date when upgrading their Linux kernel.
 
-#Package: linux-backports-modules-cw-2.6.39-natty-generic
-#Architecture: amd64 i386
-#Depends: ${misc:Depends}, linux-backports-modules-cw-2.6.39-${kernel-abi-version}-generic
-#Description: Backported wireless drivers for generic kernel image
-# This empty package allows people to keep their backported wireless modules
-# up-to-date when upgrading their Linux kernel.
-#
+Package: linux-backports-modules-cw-2.6.39-natty-generic
+Architecture: amd64 i386
+Depends: ${misc:Depends}, linux-backports-modules-cw-2.6.39-${kernel-abi-version}-generic
+Description: Backported wireless drivers for generic kernel image
+ This empty package allows people to keep their backported wireless modules
+ up-to-date when upgrading their Linux kernel.
+
+Package: linux-backports-modules-cw-3.0.0-natty-generic
+Architecture: amd64 i386
+Depends: ${misc:Depends}, linux-backports-modules-cw-3.0.0-${kernel-abi-version}-generic
+Description: Backported wireless drivers for generic kernel image
+ This empty package allows people to keep their backported wireless modules
+ up-to-date when upgrading their Linux kernel.
+
 #Package: linux-backports-modules-alsa-natty-generic
 #Architecture: amd64 i386
 #Depends: ${misc:Depends}, linux-backports-modules-alsa-${kernel-abi-version}-generic
@@ -113,7 +120,7 @@
 
 Package: linux-headers-generic-pae
 Architecture: i386
-Section: devel
+Section: metapackages
 Priority: optional
 Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-generic-pae
 Description: Generic Linux kernel headers
@@ -145,13 +152,20 @@
  This empty package allows people to keep their backported module
  headers up-to-date when upgrading their Linux kernel.
 
-#Package: linux-backports-modules-cw-2.6.39-natty-generic-pae
-#Architecture: i386
-#Depends: ${misc:Depends}, linux-backports-modules-cw-2.6.39-${kernel-abi-version}-generic-pae
-#Description: Backported wireless drivers for generic kernel image
-# This empty package allows people to keep their backported wireless modules
-# up-to-date when upgrading their Linux kernel.
-#
+Package: linux-backports-modules-cw-2.6.39-natty-generic-pae
+Architecture: i386
+Depends: ${misc:Depends}, linux-backports-modules-cw-2.6.39-${kernel-abi-version}-generic-pae
+Description: Backported wireless drivers for generic kernel image
+ This empty package allows people to keep their backported wireless modules
+ up-to-date when upgrading their Linux kernel.
+
+Package: linux-backports-modules-cw-3.0.0-natty-generic-pae
+Architecture: i386
+Depends: ${misc:Depends}, linux-backports-modules-cw-3.0.0-${kernel-abi-version}-generic-pae
+Description: Backported wireless drivers for generic kernel image
+ This empty package allows people to keep their backported wireless modules
+ up-to-date when upgrading their Linux kernel.
+
 #Package: linux-backports-modules-alsa-natty-generic-pae
 #Architecture: i386
 #Depends: ${misc:Depends}, linux-backports-modules-alsa-${kernel-abi-version}-generic-pae
@@ -168,7 +182,7 @@
 
 Package: linux-headers-omap
 Architecture: armel
-Section: devel
+Section: metapackages
 Priority: optional
 Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-omap 
 Description: Linux kernel headers for the OMAP3 architecture.
@@ -198,7 +212,7 @@
 #
 Package: linux-powerpc
 Architecture: powerpc
-Section: restricted/metapackages
+Section: metapackages
 Priority: optional
 Depends: linux-image-powerpc (= ${binary:Version})
 Description: Complete Linux kernel on PowerPC.
@@ -216,7 +230,7 @@
 
 Package: linux-headers-powerpc
 Architecture: powerpc
-Section: devel
+Section: metapackages
 Priority: optional
 Depends: linux-headers-${kernel-abi-version}-powerpc
 Description: Linux kernel headers on PowerPC
@@ -229,7 +243,7 @@
 #
 Package: linux-powerpc-smp
 Architecture: powerpc
-Section: restricted/metapackages
+Section: metapackages
 Priority: optional
 Depends: linux-image-powerpc-smp (= ${binary:Version})
 Description: Complete Linux kernel on PowerPC SMP.
@@ -249,7 +263,7 @@
 
 Package: linux-headers-powerpc-smp
 Architecture: powerpc
-Section: devel
+Section: metapackages
 Priority: optional
 Depends: linux-headers-${kernel-abi-version}-powerpc-smp
 Description: Linux kernel headers on PowerPC SMP
@@ -263,7 +277,7 @@
 #
 Package: linux-powerpc64-smp
 Architecture: powerpc
-Section: restricted/metapackages
+Section: metapackages
 Priority: optional
 Depends: linux-image-powerpc64-smp (= ${binary:Version})
 Description: Complete Linux kernel on PowerPC64 SMP.
@@ -283,7 +297,7 @@
 
 Package: linux-headers-powerpc64-smp
 Architecture: powerpc
-Section: devel
+Section: metapackages
 Priority: optional
 Depends: linux-headers-${kernel-abi-version}-powerpc64-smp
 Description: Linux kernel headers on PowerPC64 SMP
@@ -294,28 +308,10 @@
 
 Package: linux-headers-server
 Architecture: amd64 i386
-Section: devel
+Section: metapackages
 Priority: optional
 Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-server [amd64], linux-headers-generic-pae [i386]
 Description: Linux kernel headers on Server Equipment.
  This package will always depend on the latest kernel headers available
  for Server Equipment.
 
-Package: linux-image-server
-Architecture: amd64 i386
-Section: metapackages
-Priority: optional
-Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-server [amd64], linux-firmware [amd64], linux-image-generic-pae [i386]
-Description: Linux kernel image on Server Equipment.
- This package will always depend on the latest kernel image available
- for Server Equipment.
-
-Package: linux-server
-Architecture: amd64 i386
-Section: metapackages
-Priority: optional
-Depends: ${misc:Depends}, linux-image-server (= ${binary:Version}) [amd64], linux-generic-pae [i386]
-Description: Complete Linux kernel on Server Equipment.
- This package will always depend on the latest complete Linux kernel available
- for Server Equipment.
-
