## linux-meta 3.0.0.12.14

=== debian/changelog ===
linux-meta (3.0.0.12.14) oneiric; urgency=low

  [ Leann Ogasawara ]

  * Add linux-image-extra-virtual meta package
    - LP: #869220
  * Re-enable linux-backports-modules 
    - LP: #869224

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Thu, 06 Oct 2011 06:49:26 -0700

linux-meta (3.0.0.12.13) oneiric; urgency=low

  [ Leann Ogasawara ]

  * Bump ABI 

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Fri, 23 Sep 2011 13:44:36 -0700

linux-meta (3.0.0.11.12) oneiric; urgency=low

  [ Leann Ogasawara ]

  * Bump ABI 

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Fri, 09 Sep 2011 10:21:07 -0700

linux-meta (3.0.0.10.11) oneiric; urgency=low

  [ Leann Ogasawara ]

  * Bump ABI 

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Fri, 02 Sep 2011 09:46:15 -0700

linux-meta (3.0.0.9.10) oneiric; urgency=low

  [ Leann Ogasawara ]

  * Bump ABI 

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Fri, 19 Aug 2011 06:46:18 -0700

linux-meta (3.0.0.8.9) oneiric; urgency=low

  [ Leann Ogasawara ]

  * Bump ABI 

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Fri, 05 Aug 2011 11:53:11 -0700

linux-meta (3.0.0.7.8) oneiric; urgency=low

  [ Leann Ogasawara ]

  * Bump ABI 

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Fri, 22 Jul 2011 12:53:33 -0700

linux-meta (3.0.0.6.7) oneiric; urgency=low

  [ Leann Ogasawara ]

  * Bump ABI 

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Wed, 20 Jul 2011 06:49:41 -0700

linux-meta (3.0.0.5.6) oneiric; urgency=low

  [ Leann Ogasawara ]
  * Bump ABI 

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Tue, 12 Jul 2011 10:36:26 -0700

linux-meta (3.0.0.4.5) oneiric; urgency=low

  [ Andy Whitcroft ]
  * follow main kernel switch to 3.0.0
  * Bump ABI

 -- Andy Whitcroft <apw@canonical.com>  Mon, 11 Jul 2011 11:24:30 +0100

linux-meta (3.0.0.3.4) oneiric; urgency=low

  [ Leann Ogasawara ]
  * Bump ABI 

  [ Andy Whitcroft ]
  * Drop armel versatile flavour to match main kernel

 -- Andy Whitcroft <apw@canonical.com>  Mon, 04 Jul 2011 13:22:45 +0100

linux-meta (3.0.0.2.3) oneiric; urgency=low

  [ Leann Ogasawara ]

  * Bump ABI 

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Fri, 24 Jun 2011 11:43:20 -0700

linux-meta (3.0.0.1.2) oneiric; urgency=low

  [ Leann Ogasawara ]

  * Bump ABI 

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Tue, 14 Jun 2011 12:27:07 -0700

linux-meta (3.0.0.0.1) oneiric; urgency=low

  [ Leann Ogasawara ]

  * Open v3.0
  * Convert from x.y.z to x.y version scheme

  [ Andy Whitcroft ]

  * temporarily move meta _only_ back to 3 digit kernel numbering (5 total)
    to allow us to choose later which scheme to use

 -- Andy Whitcroft <apw@canonical.com>  Wed, 08 Jun 2011 17:31:35 +0100

linux-meta (2.6.39.3.4) oneiric; urgency=low

  * Bump ABI

 -- Andy Whitcroft <apw@canonical.com>  Mon, 23 May 2011 08:51:59 +0100

linux-meta (2.6.39.2.3) oneiric; urgency=low

  [ Leann Ogasawara ]

  * Bump ABI

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Thu, 12 May 2011 09:34:44 +0200

linux-meta (2.6.39.1.2) oneiric; urgency=low

  [ Leann Ogasawara ]

  * Bump ABI

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Thu, 05 May 2011 11:13:41 -0700

linux-meta (2.6.39.0.1) oneiric; urgency=low

  [ Leann Ogasawara ]

  * UBUNTU: Remove linux-backports-modules-cw-2.6.39
  * UBUNTU: Remove linux-backports-modules-net
  * UBUNTU: disable linux-backports-modules
  * Initial Oneiric kernel version and ABI (2.6.39-0)

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Tue, 19 Apr 2011 09:41:48 -0700
