=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
 Standards-Version: 3.6.1
 Build-Depends: dpkg (>= 1.13.19), debhelper (>= 5), gawk
-Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-natty-meta.git
+Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-karmic-meta.git
 
 Package: linux
 Architecture: i386 amd64 
@@ -58,7 +58,7 @@
 
 Package: linux-headers-generic
 Architecture: i386 amd64
-Section: metapackages
+Section: devel
 Priority: optional
 Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-generic
 Description: Generic Linux kernel headers
@@ -83,44 +83,24 @@
  This package will always depend on the latest complete generic Linux kernel
  available.
 
-Package: linux-backports-modules-headers-natty-generic
+Package: linux-backports-modules-headers-oneiric-generic
 Architecture: amd64 i386
 Depends: ${misc:Depends}, linux-headers-lbm-${kernel-abi-version}-generic
 Description: Backported driver headers for generic kernel image
  This empty package allows people to keep their backported module
  headers up-to-date when upgrading their Linux kernel.
 
-Package: linux-backports-modules-cw-2.6.39-natty-generic
-Architecture: amd64 i386
-Depends: ${misc:Depends}, linux-backports-modules-cw-2.6.39-${kernel-abi-version}-generic
-Description: Backported wireless drivers for generic kernel image
- This empty package allows people to keep their backported wireless modules
- up-to-date when upgrading their Linux kernel.
-
-Package: linux-backports-modules-cw-3.0.0-natty-generic
-Architecture: amd64 i386
-Depends: ${misc:Depends}, linux-backports-modules-cw-3.0.0-${kernel-abi-version}-generic
-Description: Backported wireless drivers for generic kernel image
- This empty package allows people to keep their backported wireless modules
- up-to-date when upgrading their Linux kernel.
-
-#Package: linux-backports-modules-alsa-natty-generic
+#Package: linux-backports-modules-alsa-oneiric-generic
 #Architecture: amd64 i386
 #Depends: ${misc:Depends}, linux-backports-modules-alsa-${kernel-abi-version}-generic
 #Description: Backported drivers for alsa-driver snapshot.
 # This empty package allows people to keep their alsa-driver snapshot
 # up-to-date when upgrading their Linux kernel.
 #
-Package: linux-backports-modules-net-natty-generic
-Architecture: amd64 i386
-Depends: ${misc:Depends}, linux-backports-modules-net-${kernel-abi-version}-generic
-Description: Backported ethernet drivers for generic kernel image.
- This empty package allows people to keep their backported ethernet modules
- up-to-date when upgrading their Linux kernel.
 
 Package: linux-headers-generic-pae
 Architecture: i386
-Section: metapackages
+Section: devel
 Priority: optional
 Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-generic-pae
 Description: Generic Linux kernel headers
@@ -145,44 +125,24 @@
  This package will always depend on the latest complete generic Linux kernel
  available.
 
-Package: linux-backports-modules-headers-natty-generic-pae
+Package: linux-backports-modules-headers-oneiric-generic-pae
 Architecture: i386
 Depends: ${misc:Depends}, linux-headers-lbm-${kernel-abi-version}-generic-pae
 Description: Backported driver headers for generic-pae kernel image
  This empty package allows people to keep their backported module
  headers up-to-date when upgrading their Linux kernel.
 
-Package: linux-backports-modules-cw-2.6.39-natty-generic-pae
-Architecture: i386
-Depends: ${misc:Depends}, linux-backports-modules-cw-2.6.39-${kernel-abi-version}-generic-pae
-Description: Backported wireless drivers for generic kernel image
- This empty package allows people to keep their backported wireless modules
- up-to-date when upgrading their Linux kernel.
-
-Package: linux-backports-modules-cw-3.0.0-natty-generic-pae
-Architecture: i386
-Depends: ${misc:Depends}, linux-backports-modules-cw-3.0.0-${kernel-abi-version}-generic-pae
-Description: Backported wireless drivers for generic kernel image
- This empty package allows people to keep their backported wireless modules
- up-to-date when upgrading their Linux kernel.
-
-#Package: linux-backports-modules-alsa-natty-generic-pae
+#Package: linux-backports-modules-alsa-oneiric-generic-pae
 #Architecture: i386
 #Depends: ${misc:Depends}, linux-backports-modules-alsa-${kernel-abi-version}-generic-pae
 #Description: Backported drivers for alsa-driver snapshot.
 # This empty package allows people to keep their alsa-driver snapshot
 # up-to-date when upgrading their Linux kernel.
 #
-Package: linux-backports-modules-net-natty-generic-pae
-Architecture: i386
-Depends: ${misc:Depends}, linux-backports-modules-net-${kernel-abi-version}-generic-pae
-Description: Backported ethernet drivers for generic kernel image
- This empty package allows people to keep their backported ethernet modules
- up-to-date when upgrading their Linux kernel.
 
 Package: linux-headers-omap
 Architecture: armel
-Section: metapackages
+Section: devel
 Priority: optional
 Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-omap 
 Description: Linux kernel headers for the OMAP3 architecture.
@@ -212,7 +172,7 @@
 #
 Package: linux-powerpc
 Architecture: powerpc
-Section: metapackages
+Section: restricted/metapackages
 Priority: optional
 Depends: linux-image-powerpc (= ${binary:Version})
 Description: Complete Linux kernel on PowerPC.
@@ -230,7 +190,7 @@
 
 Package: linux-headers-powerpc
 Architecture: powerpc
-Section: metapackages
+Section: devel
 Priority: optional
 Depends: linux-headers-${kernel-abi-version}-powerpc
 Description: Linux kernel headers on PowerPC
@@ -243,7 +203,7 @@
 #
 Package: linux-powerpc-smp
 Architecture: powerpc
-Section: metapackages
+Section: restricted/metapackages
 Priority: optional
 Depends: linux-image-powerpc-smp (= ${binary:Version})
 Description: Complete Linux kernel on PowerPC SMP.
@@ -263,7 +223,7 @@
 
 Package: linux-headers-powerpc-smp
 Architecture: powerpc
-Section: metapackages
+Section: devel
 Priority: optional
 Depends: linux-headers-${kernel-abi-version}-powerpc-smp
 Description: Linux kernel headers on PowerPC SMP
@@ -277,7 +237,7 @@
 #
 Package: linux-powerpc64-smp
 Architecture: powerpc
-Section: metapackages
+Section: restricted/metapackages
 Priority: optional
 Depends: linux-image-powerpc64-smp (= ${binary:Version})
 Description: Complete Linux kernel on PowerPC64 SMP.
@@ -297,7 +257,7 @@
 
 Package: linux-headers-powerpc64-smp
 Architecture: powerpc
-Section: metapackages
+Section: devel
 Priority: optional
 Depends: linux-headers-${kernel-abi-version}-powerpc64-smp
 Description: Linux kernel headers on PowerPC64 SMP
@@ -308,10 +268,65 @@
 
 Package: linux-headers-server
 Architecture: amd64 i386
-Section: metapackages
+Section: devel
 Priority: optional
 Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-server [amd64], linux-headers-generic-pae [i386]
 Description: Linux kernel headers on Server Equipment.
  This package will always depend on the latest kernel headers available
  for Server Equipment.
 
+Package: linux-image-server
+Architecture: amd64 i386
+Section: metapackages
+Priority: optional
+Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-server [amd64], linux-firmware [amd64], linux-image-generic-pae [i386]
+Description: Linux kernel image on Server Equipment.
+ This package will always depend on the latest kernel image available
+ for Server Equipment.
+
+Package: linux-server
+Architecture: amd64 i386
+Section: metapackages
+Priority: optional
+Depends: ${misc:Depends}, linux-image-server (= ${binary:Version}) [amd64], linux-generic-pae [i386]
+Description: Complete Linux kernel on Server Equipment.
+ This package will always depend on the latest complete Linux kernel available
+ for Server Equipment.
+
+Package: linux-backports-modules-headers-oneiric-server
+Architecture: amd64
+Depends: ${misc:Depends}, linux-headers-lbm-${kernel-abi-version}-server
+Description: Backported driver headers for server kernel image
+ This empty package allows people to keep their backported module
+ headers up-to-date when upgrading their Linux kernel.
+
+#Package: linux-backports-modules-alsa-oneiric-server
+#Architecture: amd64
+#Depends: ${misc:Depends}, linux-backports-modules-alsa-${kernel-abi-version}-server
+#Description: Backported drivers for alsa-driver snapshot.
+# This empty package allows people to keep their alsa-driver snapshot
+# up-to-date when upgrading their Linux kernel.
+#
+
+Package: linux-headers-virtual
+Architecture: i386 amd64
+Section: devel
+Priority: optional
+Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-virtual
+Description: Linux kernel headers for virtual machines
+ This package will always depend on the latest kernel headers available
+ for virtual machines.
+
+Package: linux-image-virtual
+Architecture: i386 amd64
+Section: metapackages
+Priority: optional
+Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-virtual, linux-firmware
+Description: Linux kernel image for virtual machines
+ This package will always depend on the latest kernel image available
+ for virtual machines.
+
+Package: linux-virtual
+Architecture: i386 amd64
+Section: metapackages
+Priority: optional
